Bug 252950 - Review Request: othello - Classic board game with ai plugins and network support
Review Request: othello - Classic board game with ai plugins and network support
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yijun Yuan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2007-08-16 04:38 EDT by Miao ZhiCheng
Modified: 2008-03-23 10:15 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-23 10:15:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review-


Attachments (Terms of Use)
Initial review during #fedora-cn meetings (3.37 KB, patch)
2007-08-17 11:34 EDT, Yijun Yuan
no flags Details | Diff
The right one. (3.56 KB, patch)
2007-08-17 12:08 EDT, Yijun Yuan
no flags Details | Diff
UI proposal (164.33 KB, image/png)
2007-08-19 21:42 EDT, Yijun Yuan
no flags Details

  None (edit)
Description Miao ZhiCheng 2007-08-16 04:38:42 EDT
Spec URL: ftp://ftp.fedora.cn/pub/fedora-cn/in-review/othello.spec

SRPM URL: ftp://ftp.fedora.cn/pub/fedora-cn/in-review/othello-0.2.1-1.fc7.src.rpm

Description:

Othello is a classic strategy game, also known as Reversi.
Its objective is to finish the game with the greater amount
of pieces (circles) of the same color.

Features :

 * Cross Platformed (Currently support Linux and win32)
 * Support writing ai plugin using C++, and also support
   writing ai plugin in python script directly.
 * Support network game.
 * Support interface theme.
Comment 1 GZ Zhong 2007-08-17 11:08:40 EDT
jlu3389@gmail.com
Comment 2 Zhao Shun 2007-08-17 11:15:47 EDT
Can I do sth for this proj
Comment 3 Yijun Yuan 2007-08-17 11:34:55 EDT
Created attachment 161745 [details]
Initial review during #fedora-cn meetings

Not a formal review.

One rpmlint warning is still there.

Split to main and -devel packages.
Comment 4 Yijun Yuan 2007-08-17 11:56:12 EDT
Comment on attachment 161745 [details]
Initial review during #fedora-cn meetings

patch against wrong file (not the initial one in srpm but updated slightly to
build)
Comment 5 Yijun Yuan 2007-08-17 12:08:28 EDT
Created attachment 161751 [details]
The right one.
Comment 7 Jason Tibbitts 2007-08-19 12:54:58 EDT
"Othello" in this context is a registered trademark of Tsukuda Original; someone
needs to provide evidence that this package is acceptable.  Otherwise, please
block the FE-Legal ticket so that the lawyers can take a look.
Comment 8 Yijun Yuan 2007-08-19 21:41:55 EDT
Thanks, Jason. I was thinking about the same thing.

To every fedora-cn contributor in the CC-list, please post your informal review
before next Friday meeting. The review should be made according to package
guidelines.
Comment 9 Yijun Yuan 2007-08-19 21:42:06 EDT
Created attachment 161835 [details]
UI proposal

Errata: the 3rd menu item of the settings drop down menu should be "reload
plugins". See google group thread
http://groups.google.com/group/fedora-cn/t/29069fa071c74ff
Comment 10 Tom "spot" Callaway 2008-01-15 14:38:46 EST
Just a reminder: You cannot use the othello trademark without permission. Either
remove the "Othello" mark from all user visible locations, or drop this package.
Comment 11 Tom "spot" Callaway 2008-03-23 10:15:42 EDT
I'm closing this package, since no work has been done to resolve the trademark
concern.

Note You need to log in before you can comment on or make changes to this bug.